## z80ex 1.1.18

=== Makefile ===
# Z80ex Makefile
# (for GNU make)
#

#################################################################
# You may tune these values to feet your setup:
#################################################################
INSTALL_PREFIX := /usr/local
CC := gcc 
ALL_CFLAGS := -fPIC -fno-common -ansi -pedantic -Wall -pipe -O2 -I. -I./include 
LINKER := gcc

#endianness (one of: WORDS_LITTLE_ENDIAN, WORDS_BIG_ENDIAN)
ENDIANNESS := WORDS_LITTLE_ENDIAN
#ENDIANNESS := WORDS_BIG_ENDIAN

#fast and rough opcode step emulation mode (0 - off, 1 - on)
OPSTEP_FAST_AND_ROUGH := 0


#################################################################
# Do not change these writings. the world sanity depends on them:
#################################################################
PROJ := z80ex
EMU := libz80ex
DASM := libz80ex_dasm
API_REVISION := 1
VERSION_MAJOR:=1
VERSION_MINOR:=18
RELEASE_TYPE :=
VERSION_STR:= ${API_REVISION}.${VERSION_MAJOR}.${VERSION_MINOR}${RELEASE_TYPE}

OS=${shell uname -s}

ALL_CFLAGS += -D${ENDIANNESS} -DZ80EX_VERSION_STR=${VERSION_STR} -DZ80EX_API_REVISION=${API_REVISION} -DZ80EX_VERSION_MAJOR=${VERSION_MAJOR} -DZ80EX_VERSION_MINOR=${VERSION_MINOR} -DZ80EX_RELEASE_TYPE=${RELEASE_TYPE} 

ifneq (${OPSTEP_FAST_AND_ROUGH},0)
ALL_CFLAGS += -DZ80EX_OPSTEP_FAST_AND_ROUGH
endif

c_files := z80ex.c z80ex_dasm.c

%.o : %.c
	${CC} ${ALL_CFLAGS} ${CFLAGS} -c -o $@ $<	

.PHONY : all
all:: static shared

z80ex.o: include/z80ex.h include/z80ex_common.h ptables.c typedefs.h macros.h opcodes/opcodes_base.c\
opcodes/opcodes_dd.c opcodes/opcodes_fd.c opcodes/opcodes_cb.c\
opcodes/opcodes_ed.c opcodes/opcodes_ddcb.c opcodes/opcodes_fdcb.c

z80ex_dasm.o: include/z80ex_dasm.h include/z80ex_common.h opcodes/opcodes_dasm.c

clean:
	rm -f *.o
	rm -f ./lib/*
	rm -rf ./z80ex-${VERSION_STR}.tar.gz

static: z80ex.o z80ex_dasm.o
	ar rs ./lib/${EMU}.a z80ex.o
	ar rs ./lib/${DASM}.a z80ex_dasm.o
	
shared: z80ex.o z80ex_dasm.o
ifeq (${OS},Darwin)
	${LINKER} -dynamiclib -compatibility_version ${API_REVISION} -current_version ${VERSION_STR} -install_name ${INSTALL_PREFIX}/lib/${EMU}.${API_REVISION}.dylib -o ./lib/${EMU}.${VERSION_STR}.dylib z80ex.o
	${LINKER} -dynamiclib -compatibility_version ${API_REVISION} -current_version ${VERSION_STR} -install_name ${INSTALL_PREFIX}/lib/${DASM}.${API_REVISION}.dylib -o ./lib/${DASM}.${VERSION_STR}.dylib z80ex_dasm.o
else
	${LINKER} -shared -Wl,-soname,${EMU}.so.${API_REVISION} -o ./lib/${EMU}.so.${VERSION_STR} z80ex.o
	${LINKER} -shared -Wl,-soname,${DASM}.so.${API_REVISION} -o ./lib/${DASM}.so.${VERSION_STR} z80ex_dasm.o	
endif
	
install:
	install -d ${INSTALL_PREFIX}/lib
	install ./lib/* ${INSTALL_PREFIX}/lib
	install -d ${INSTALL_PREFIX}/include/z80ex
	install -m 0664 ./include/* ${INSTALL_PREFIX}/include/z80ex
ifeq (${OS},Darwin)
	ln -sf ${EMU}.${VERSION_STR}.dylib ${INSTALL_PREFIX}/lib/${EMU}.${API_REVISION}.dylib
	ln -sf ${EMU}.${VERSION_STR}.dylib ${INSTALL_PREFIX}/lib/${EMU}.dylib
	ln -sf ${DASM}.${VERSION_STR}.dylib ${INSTALL_PREFIX}/lib/${DASM}.${API_REVISION}.dylib
	ln -sf ${DASM}.${VERSION_STR}.dylib ${INSTALL_PREFIX}/lib/${DASM}.dylib	
else
	ln -sf ${EMU}.so.${VERSION_STR} ${INSTALL_PREFIX}/lib/${EMU}.so.${API_REVISION}
	ln -sf ${EMU}.so.${VERSION_STR} ${INSTALL_PREFIX}/lib/${EMU}.so
	ln -sf ${DASM}.so.${VERSION_STR} ${INSTALL_PREFIX}/lib/${DASM}.so.${API_REVISION}
	ln -sf ${DASM}.so.${VERSION_STR} ${INSTALL_PREFIX}/lib/${DASM}.so		
endif	

dist: clean
	rm -rf ./${PROJ}-${VERSION_STR}${RELEASE_TYPE}
	ln -s ./ ./${PROJ}-${VERSION_STR}${RELEASE_TYPE}
	tar --exclude z80ex.geany --exclude obsolete --exclude ${PROJ}-${VERSION_STR}${RELEASE_TYPE}/${PROJ}-${VERSION_STR}${RELEASE_TYPE} --exclude ${PROJ}-${VERSION_STR}${RELEASE_TYPE}/${PROJ}-${VERSION_STR}${RELEASE_TYPE}.tar.gz -hcf - ./${PROJ}-${VERSION_STR}${RELEASE_TYPE}/ | gzip -f9 > ${PROJ}-${VERSION_STR}${RELEASE_TYPE}.tar.gz
	rm -rf ./${PROJ}-${VERSION_STR}${RELEASE_TYPE}

#EOF

=== debian/changelog ===
z80ex (1.1.18-1) unstable; urgency=low

  [ Adrian Glaubitz ]
  * Initial release (Closes: #570150)
  * Fix lintian errors and warnings.

  [ Jan Dittberner ]
  * switch to Source-Format 3.0 (quilt)
  * patch Makefile using
    debian/patches/relocatable_installation_directory-Makefile.patch
    instead of direct upstream modification

 -- Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 25 Feb 2010 10:52:49 +0100

=== debian/control ===
Source: z80ex
Priority: extra
Maintainer: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4
Section: libs
Homepage: http://z80ex.sourceforge.net/

Package: libz80ex-dev
Section: libdevel
Architecture: any
Depends: libz80ex1 (= ${binary:Version}), ${misc:Depends}
Description: z80ex emulation library, development files
 libz80ex is a portable ZiLOG Z80 CPU emulator designed as a library.
 Goals include: precise opcode emulation (documented & undocumented),
 exact timings for each opcode (including I/O operations) and multiple
 CPU contexts. A disassembler is included as well. This package
 contains the development files.

Package: libz80ex1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: z80ex emulation library, shared files
 libz80ex is a portable ZiLOG Z80 CPU emulator designed as a library.
 Goals include: precise opcode emulation (documented & undocumented),
 exact timings for each opcode (including I/O operations) and multiple
 CPU contexts. A disassembler is included as well.

## z80ex 1.1.19

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
project (z80ex)

set (API_REVISION 1)
set (VERSION_MAJOR 1)
set (VERSION_MINOR 19)
set (RELEASE_TYPE "pre1")
set (VERSION_STR "${API_REVISION}.${VERSION_MAJOR}.${VERSION_MINOR}${RELEASE_TYPE}")

option (OPSTEP_FAST_AND_ROUGH "Fast and rough opcode step emulation mode" Off)

#ALL_CFLAGS := -fPIC -fno-common -ansi -pedantic -Wall -pipe -O2 -I. -I./include
if (CMAKE_COMPILER_IS_GNUCC)
    set (CMAKE_C_FLAGS "-fPIC -fno-common -ansi -pedantic -Wall -pipe -O2")
endif ()

include_directories(BEFORE . include)

include (TestBigEndian)
test_big_endian(BIG_ENDIAN)
#endianness (one of: WORDS_LITTLE_ENDIAN, WORDS_BIG_ENDIAN)
if (BIG_ENDIAN)
    set (ENDIANNESS WORDS_BIG_ENDIAN)
else ()
    set (ENDIANNESS WORDS_LITTLE_ENDIAN)
endif ()

add_definitions (-D${ENDIANNESS} -DZ80EX_VERSION_STR=${VERSION_STR} -DZ80EX_API_REVISION=${API_REVISION} -DZ80EX_VERSION_MAJOR=${VERSION_MAJOR} -DZ80EX_VERSION_MINOR=${VERSION_MINOR} -DZ80EX_RELEASE_TYPE=${RELEASE_TYPE})

if (OPSTEP_FAST_AND_ROUGH)
    add_definitions (-DZ80EX_OPSTEP_FAST_AND_ROUGH)
endif ()

set (z80ex_sources z80ex.c)
add_library (z80ex-static STATIC ${z80ex_sources})
set_target_properties (z80ex-static PROPERTIES OUTPUT_NAME z80ex)
if (NOT DEFINED Z80EX_STATIC_ONLY)
    add_library (z80ex SHARED ${z80ex_sources})
# Affects Win32 only: avoid dynamic/static *.lib files naming conflict 
    set_target_properties (z80ex-static PROPERTIES PREFIX "lib")
endif ()

set (z80ex_dasm_sources z80ex_dasm.c)
add_library (z80ex_dasm-static STATIC ${z80ex_dasm_sources})
set_target_properties (z80ex_dasm-static PROPERTIES OUTPUT_NAME z80ex_dasm)
if (NOT DEFINED Z80EX_STATIC_ONLY)
    add_library (z80ex_dasm SHARED ${z80ex_dasm_sources})
# Affects Win32 only: avoid dynamic/static *.lib files naming conflict 
    set_target_properties (z80ex_dasm-static PROPERTIES PREFIX "lib")
endif ()

if (NOT DEFINED Z80EX_STATIC_ONLY)
    set_target_properties(z80ex z80ex_dasm
        PROPERTIES VERSION ${VERSION_STR} SOVERSION ${API_REVISION}
    )
endif ()
set_target_properties(z80ex-static z80ex_dasm-static
    PROPERTIES VERSION ${VERSION_STR} SOVERSION ${API_REVISION}
)

if ("${CMAKE_C_IMPLICIT_LINK_DIRECTORIES}" MATCHES "lib64")
    set (LIB_DIR "lib64")
else ()
    set (LIB_DIR "lib")
endif ()
if (NOT DEFINED Z80EX_STATIC_ONLY)
    install (TARGETS z80ex z80ex_dasm LIBRARY DESTINATION ${LIB_DIR} ARCHIVE DESTINATION ${LIB_DIR})
endif ()
install (TARGETS z80ex-static z80ex_dasm-static LIBRARY DESTINATION ${LIB_DIR} ARCHIVE DESTINATION ${LIB_DIR})
install (DIRECTORY include/ DESTINATION include/z80ex PATTERN "*.h" )

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 DASM := libz80ex_dasm
 API_REVISION := 1
 VERSION_MAJOR:=1
-VERSION_MINOR:=18
+VERSION_MINOR:=19
 RELEASE_TYPE :=
 VERSION_STR:= ${API_REVISION}.${VERSION_MAJOR}.${VERSION_MINOR}${RELEASE_TYPE}
 
@@ -88,9 +88,9 @@
 endif	
 
 dist: clean
-	rm -rf ./${PROJ}-${VERSION_STR}${RELEASE_TYPE}
-	ln -s ./ ./${PROJ}-${VERSION_STR}${RELEASE_TYPE}
-	tar --exclude z80ex.geany --exclude obsolete --exclude ${PROJ}-${VERSION_STR}${RELEASE_TYPE}/${PROJ}-${VERSION_STR}${RELEASE_TYPE} --exclude ${PROJ}-${VERSION_STR}${RELEASE_TYPE}/${PROJ}-${VERSION_STR}${RELEASE_TYPE}.tar.gz -hcf - ./${PROJ}-${VERSION_STR}${RELEASE_TYPE}/ | gzip -f9 > ${PROJ}-${VERSION_STR}${RELEASE_TYPE}.tar.gz
-	rm -rf ./${PROJ}-${VERSION_STR}${RELEASE_TYPE}
+	rm -rf ./${PROJ}-${VERSION_STR}
+	ln -s ./ ./${PROJ}-${VERSION_STR}
+	tar --exclude obsolete --exclude ${PROJ}-${VERSION_STR}/${PROJ}-${VERSION_STR} --exclude ${PROJ}-${VERSION_STR}/${PROJ}-${VERSION_STR}.tar.gz -hcf - ./${PROJ}-${VERSION_STR}/ | gzip -f9 > ${PROJ}-${VERSION_STR}.tar.gz
+	rm -rf ./${PROJ}-${VERSION_STR}
 
 #EOF

=== debian/changelog ===
z80ex (1.1.19-3) unstable; urgency=low

  * Force calling cmake through debhelper to make sure
    endianness is set correctly (Closes: #682018).
  * Add build dependency for cmake.
  * Remove Debian patch to relocate installation directory
    in Makefile since we're now using cmake now anyway.
  * Add Debian patch fix version number in CMakeLists.txt.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 20 Jul 2012 01:50:57 +0200

z80ex (1.1.19-2) unstable; urgency=low

  [ John Paul Adrian Glaubitz ]
  * Convert for Multi-Arch support.
  * Use my full name for maintainership.
  * Fix helper-templates-in-copyright lintian warning.
  * Fix diff-contains-substvars lintian warning.
  * Bump standards version to 3.9.2.
  * Update debian/copyright.

  [ Jan Dittberner ]
  * set DM-Upload-Allowed: yes

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 20 Feb 2012 03:09:18 +0100

z80ex (1.1.19-1) unstable; urgency=low

  * New upstream version.
  * Bump to standards version 3.9.1.

 -- Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 21 Jan 2011 15:05:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: z80ex
 Priority: extra
-Maintainer: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.4
+Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
+Build-Depends: debhelper (>= 9), cmake
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://z80ex.sourceforge.net/
+DM-Upload-Allowed: yes
 
 Package: libz80ex-dev
 Section: libdevel
@@ -19,6 +20,8 @@
 
 Package: libz80ex1
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: z80ex emulation library, shared files
  libz80ex is a portable ZiLOG Z80 CPU emulator designed as a library.

## z80ex 1.1.20rev1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 set (API_REVISION 1)
 set (VERSION_MAJOR 1)
-set (VERSION_MINOR 19)
-set (RELEASE_TYPE "pre1")
+set (VERSION_MINOR 20)
+set (RELEASE_TYPE "rev1")
 set (VERSION_STR "${API_REVISION}.${VERSION_MAJOR}.${VERSION_MINOR}${RELEASE_TYPE}")
 
 option (OPSTEP_FAST_AND_ROUGH "Fast and rough opcode step emulation mode" Off)

=== Makefile ===
--- 
+++ 
@@ -3,12 +3,16 @@
 #
 
 #################################################################
-# You may tune these values to feet your setup:
+# You may tune these values to fit your setup:
 #################################################################
 INSTALL_PREFIX := /usr/local
-CC := gcc 
+TOOLS_PREFIX :=
+
+CC := $(TOOLS_PREFIX)gcc 
+LINKER := $(TOOLS_PREFIX)gcc
+AR := $(TOOLS_PREFIX)ar
+
 ALL_CFLAGS := -fPIC -fno-common -ansi -pedantic -Wall -pipe -O2 -I. -I./include 
-LINKER := gcc
 
 #endianness (one of: WORDS_LITTLE_ENDIAN, WORDS_BIG_ENDIAN)
 ENDIANNESS := WORDS_LITTLE_ENDIAN
@@ -19,15 +23,15 @@
 
 
 #################################################################
-# Do not change these writings. the world sanity depends on them:
+# Do not change these:
 #################################################################
 PROJ := z80ex
 EMU := libz80ex
 DASM := libz80ex_dasm
 API_REVISION := 1
 VERSION_MAJOR:=1
-VERSION_MINOR:=19
-RELEASE_TYPE :=
+VERSION_MINOR:=20
+RELEASE_TYPE :=rev1
 VERSION_STR:= ${API_REVISION}.${VERSION_MAJOR}.${VERSION_MINOR}${RELEASE_TYPE}
 
 OS=${shell uname -s}
@@ -58,8 +62,8 @@
 	rm -rf ./z80ex-${VERSION_STR}.tar.gz
 
 static: z80ex.o z80ex_dasm.o
-	ar rs ./lib/${EMU}.a z80ex.o
-	ar rs ./lib/${DASM}.a z80ex_dasm.o
+	${AR} rs ./lib/${EMU}.a z80ex.o
+	${AR} rs ./lib/${DASM}.a z80ex_dasm.o
 	
 shared: z80ex.o z80ex_dasm.o
 ifeq (${OS},Darwin)

=== debian/changelog ===
z80ex (1.1.20rev1-1) unstable; urgency=low

  * New upstream release.
  * Drop patch to fix version number in CMakeLists.txt.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 05 Feb 2013 13:26:24 +0100

z80ex (1.1.20-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.4 (no changes required).
  * Add fields Vcs-Git and Vcs-Browser to debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 17 Jan 2013 01:00:32 +0100

## z80ex 1.1.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 set (API_REVISION 1)
 set (VERSION_MAJOR 1)
-set (VERSION_MINOR 20)
-set (RELEASE_TYPE "rev1")
+set (VERSION_MINOR 21)
+set (RELEASE_TYPE "")
 set (VERSION_STR "${API_REVISION}.${VERSION_MAJOR}.${VERSION_MINOR}${RELEASE_TYPE}")
 
 option (OPSTEP_FAST_AND_ROUGH "Fast and rough opcode step emulation mode" Off)

=== Makefile ===
--- 
+++ 
@@ -30,8 +30,8 @@
 DASM := libz80ex_dasm
 API_REVISION := 1
 VERSION_MAJOR:=1
-VERSION_MINOR:=20
-RELEASE_TYPE :=rev1
+VERSION_MINOR:=21
+RELEASE_TYPE :=
 VERSION_STR:= ${API_REVISION}.${VERSION_MAJOR}.${VERSION_MINOR}${RELEASE_TYPE}
 
 OS=${shell uname -s}
@@ -94,7 +94,7 @@
 dist: clean
 	rm -rf ./${PROJ}-${VERSION_STR}
 	ln -s ./ ./${PROJ}-${VERSION_STR}
-	tar --exclude obsolete --exclude ${PROJ}-${VERSION_STR}/${PROJ}-${VERSION_STR} --exclude ${PROJ}-${VERSION_STR}/${PROJ}-${VERSION_STR}.tar.gz -hcf - ./${PROJ}-${VERSION_STR}/ | gzip -f9 > ${PROJ}-${VERSION_STR}.tar.gz
+	tar --exclude-vcs --exclude obsolete --exclude ${PROJ}-${VERSION_STR}/${PROJ}-${VERSION_STR} --exclude ${PROJ}-${VERSION_STR}/${PROJ}-${VERSION_STR}.tar.gz -hcf - ./${PROJ}-${VERSION_STR}/ | gzip -f9 > ${PROJ}-${VERSION_STR}.tar.gz
 	rm -rf ./${PROJ}-${VERSION_STR}
 
 #EOF

=== debian/changelog ===
z80ex (1.1.21-2) unstable; urgency=medium

  * Update debian/copyright to copyright format 1.0
  * Update years in debian/copyright
  * Update debhelper version to 12 and switch to debhelper-compat
  * Update Standards-Version to 4.5.1 in debian/control
  * Update Vcs-* fields for new Salsa project in debian/control
  * Replace Priority extra with optional in debian/control
  * Run wrap-and-sort to clean up debian files

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 18 Oct 2021 18:43:54 +0200

z80ex (1.1.21-1) unstable; urgency=low

  * New upstream release.
  * Add new symbols from 1.1.21 to Debian symbols file.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 10 Sep 2013 03:22:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: z80ex
-Priority: extra
+Priority: optional
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
-Build-Depends: debhelper (>= 9), cmake
-Standards-Version: 3.9.2
+Build-Depends: cmake, debhelper-compat (= 12)
+Standards-Version: 4.5.1
 Section: libs
 Homepage: http://z80ex.sourceforge.net/
-DM-Upload-Allowed: yes
+Vcs-Browser: https://salsa.debian.org/debian/z80ex
+Vcs-Git: https://salsa.debian.org/debian/z80ex.git
 
 Package: libz80ex-dev
 Section: libdevel
@@ -22,7 +23,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: z80ex emulation library, shared files
  libz80ex is a portable ZiLOG Z80 CPU emulator designed as a library.
  Goals include: precise opcode emulation (documented & undocumented),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_install:
	set -e; for file in libz80ex1.install libz80ex-dev.install; \
        do \
                sed -e"s,\$${DEB_HOST_MULTIARCH},${DEB_HOST_MULTIARCH},g" \
			debian/$${file}.in > debian/$$file; \
        done
	dh_installdirs
	dh_install

%:
	dh  $@ -Scmake
